
<div class="col-md-3">
  <h2 class="text-center">Add Product</h2>
  <form [formGroup]="addForm" (ngSubmit)="onSubmit()">
    <div class="form-group">
      <label>Name:</label>
      <input type="text" formControlName="name" placeholder="Title" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.name.errors }">
      <div *ngIf="submitted && f.name.errors">
        <div *ngIf="f.name.errors.required">Name is required</div>
      </div>
    </div>

    <div class="form-group">
      <label>Price (£):</label>
      <input type="text" formControlName="price" placeholder="Price" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.price.errors }">
      <div *ngIf="submitted && f.price.errors">
        <div *ngIf="f.price.errors.required">Price is required</div>
      </div>
    </div>

    <div class="form-group">
      <label>Quality:</label>
      <input type="text" formControlName="quality" placeholder="Description" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.quality.errors }">
      <div *ngIf="submitted && f.quality.errors">
        <div *ngIf="f.quality.errors.required">Quality is required</div>
      </div>
    </div>



    <button type="submit"  class="btn btn-info">Save</button>
  </form>
</div>
